Skip to content

Manually trigger Webhook execution ​

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on https://api-explorer.genauth.ai V3 API, and is consistent with API parameters and return results. If the description of this document is incorrect, please refer to V3 API.

Manually trigger webhook execution by specifying webhookId, optional request headers and request body

Method name ​

ManagementClient.triggerWebhook

Request parameters ​

NameTypeRequiredDefault valueDescriptionSample value
webhookIdstringYes-Webhook ID6229ffaxxxxxxxxcade3e3d9
requestHeadersobjectNo-Request headers{"eventName":"test","data":{"description":"A test from authing"}}
requestBodyobjectNo-Request body{"eventName":"test","data":{"description":"A test from authing"}}

Sample code ​

ts
import { ManagementClient, Models } from "authing-node-sdk";

// Initialize ManagementClient
const managementClient = new ManagementClient({
  // Need to be replaced with your GenAuth Access Key ID
  accessKeyId: "GEN_AUTH_ACCESS_KEY_ID",
  // Need to be replaced with your GenAuth Access Key Secret
  accessKeySecret: "GEN_AUTH_ACCESS_KEY_SECRET",
  // If it is a private deployment customer, you need to set the GenAuth service domain name
  // host: 'https://api.your-authing-service.com'
});

(async () => {
  const result = await managementClient.triggerWebhook({
    webhookId: "6229ffaxxxxxxxxcade3e3d9",
    requestHeaders: {
      eventName: "test",
      data: {
        description: "A test from authing",
      },
    },
    requestBody: {
      eventName: "test",
      data: {
        description: "A test from authing",
      },
    },
  });

  console.log(JSON.stringify(result, null, 2));
})();

Request response ​

Type: TriggerWebhookRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringdescription
apiCodenumberSegmented error code, which can be used to get the specific error type (not returned for successful requests). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.
data<a TriggerWebhookDataResponse data

Sample result:

json
{
  "statusCode": 200,
  "message": "Operation successful",
  "requestId": "934108e5-9fbf-4d24-8da1-c330328abd6c",
  "data": {
    "response": {}
  }
}

Data structure ​

TriggerWebhookData ​

NameTypeIs it requiredDescriptionSample value
responseisthe response data returned by the original interface. Nested type: <a Any.

Any ​

NameTypeIs it requiredDescriptionSample value